package com.ut.mini;

import java.util.Map;
/**
 * UT页面打点的协议
 * @author daichenjie
 * 下面的接口内容，必须配合页面事件一起使用。
 */
public interface IUTPageTrack {

	/**
	 * 上一个页面
	 * @return null或者""，SDK会自动用上一个Activity的页面名称
	 */
	String getReferPage();

	/**
	 * 当前页面名称
	 * @return null或者""，SDK默认使用当前Activity的短名称，如HomeActivity，SDK会取Home
	 */
	String getPageName();

	/**
	 * 页面属性集,需要保证线程安全(最好直接返回一个拷贝给SDK)
	 * @return	null或者size＝0，SDK不做处理
	 */
	Map<String, String> getPageProperties();
	
}
