package com.ut.mini;

import com.ut.mini.base.UTMCLogFields;

/**
 * 一些用户可被定制的字段
 * @author daichenjie
 * <pre>
 * SDK实现了很多逻辑，那么有一些逻辑并不能满足全部的需求，如aliyunOS，就需要定制OS,OS_VERSION等字段。
 * 未来可能这些字段会越来越多的被开放。
 * 
 * 那么怎么使用下面的这些字段呢？
 * 这个支撑，在后续下一个版本来处理把。。。。。
 * 
 * </pre>
 */
public class UTFields {
	/**
	 * OS 名称
	 */
	public final static String OS = "_field_os";
	/**
	 * OS 版本
	 */
	public final static String OS_VERSION = "_field_os_version";
	/**
	 * Track ID
	 */
	public final static String TRACK_ID = "_track_id";
	/**
	 * 聚合日志
	 */
	public final static String AGGREGATION_LOG = UTMCLogFields.AGGREGATION_LOG.toString();

}
